# Class VcfPathSegmentGenerator

java.lang.Object
picard.vcf.processor.VcfPathSegmentGenerator

public abstract class VcfPathSegmentGenerator extends Object
Describes a mechanism for producing `VcfPathSegment`s from a VCF file path.

## Constructor Summary

Constructors
Constructor
Description
`VcfPathSegmentGenerator()`

## Method Summary

Modifier and Type
Method
Description
`static VcfPathSegmentGenerator`
`byWholeContigSubdividingWithWidth(long segmentWidth)`
`static <T> VcfPathSegmentGenerator`
`excludingNonOverlaps(VcfPathSegmentGenerator strategy, htsjdk.samtools.util.OverlapDetector<T> overlaps)`
Returns a decorated `VcfPathSegmentGenerator` that filters out `VcfPathSegment`s that have no overlap with the provided `OverlapDetector`.
`abstract Iterable<VcfPathSegment>`
`forVcf(PicardHtsPath vcf)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VcfPathSegmentGenerator

public VcfPathSegmentGenerator()

## Method Details

### forVcf

public abstract Iterable<VcfPathSegment> forVcf(PicardHtsPath vcf)

### byWholeContigSubdividingWithWidth

public static VcfPathSegmentGenerator byWholeContigSubdividingWithWidth(long segmentWidth)

### excludingNonOverlaps

public static <T> VcfPathSegmentGenerator excludingNonOverlaps(VcfPathSegmentGenerator strategy, htsjdk.samtools.util.OverlapDetector<T> overlaps)
Returns a decorated `VcfPathSegmentGenerator` that filters out `VcfPathSegment`s that have no overlap with the provided `OverlapDetector`.